MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001392VCMIMechanics - Objectspublic2013-08-01 18:182016-01-17 12:36
ReporterWarmonger 
Assigned ToSXX 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version0.93 
Target Version0.94Fixed in Version0.97b 
Summary0001392: It's not possible to sell spell scrolls in Artifact Merchant
DescriptionIt should be impossible to sacrifice them on Altar, but selling scrolls should work in towns.

From Strategija:
Selling scrolls can be extremely profitable: e.g. with 3 Marketplaces they go for 750 gold regardless of level. On randoms, where it is often easy to accumulate plenty of them, they alone can easily pay off Artifact Merchant investment.
TagsNo tags attached.
Attached Files

- Relationships
related to 0001366resolvedDydzio Black market: it is possible to sell more resources than needed 
related to 0000558assignedChocimier Altar of Sacrifice: Mechanics + GUI issues 

-  Notes
(0005266)
SXX (administrator)
2014-12-24 18:06

So I fixed this one in my private branch:
https://github.com/ArseniyShestakov/vcmi/commits/artifactsImprovements [^]
Once I finish other small artifact-related fixes I'll will sent pull request.

What I have question about is spell scrolls on Altar of Sacrifice in both VCMI and H3 give zero expirience anyway. Is there real need to block player's ability to put them here for whatever reason?
(0005366)
SXX (administrator)
2015-01-08 07:18

Should mark it as fixed long time ago:
https://github.com/vcmi/vcmi/commit/4cb98e7e8d1d8112c9e54a370a7314ea45bf95e9 [^]

@Warmonger still if you think there is need to block player's ability to sell something that give zero gold or exp in return let me know.
(0005367)
Warmonger (administrator)
2015-01-08 07:29

I think that ability to sell / sacrifice spell scrolls in the field could make some random maps unbalanced. Artifact Merchant in town costs a lot to make up for it.

What I would like to do is prevent players from selling quest items. These may be related - if you don't want some artifact to be sold by accident, set its value to 0. But there are more possibilities (prevent selling 'special' artifact, for example).
Either way, this feature won't be useful until map editor is ready. For now please leave the backdoor to prevent some artifacts from trading.

- Issue History
Date Modified Username Field Change
2013-08-01 18:18 Warmonger New Issue
2013-08-01 18:18 Warmonger Status new => assigned
2013-08-01 18:18 Warmonger Assigned To => Warmonger
2013-08-01 18:18 Warmonger Assigned To Warmonger =>
2013-08-01 18:18 Warmonger Status assigned => new
2013-08-01 18:18 Warmonger Relationship added related to 0001366
2013-08-01 18:20 Warmonger Summary It's not possible to sell spell scrolls in Artifatc Merchant => It's not possible to sell spell scrolls in Artifact Merchant
2013-08-01 18:20 Warmonger Description Updated View Revisions
2014-12-24 18:06 SXX Note Added: 0005266
2014-12-24 18:06 SXX Assigned To => SXX
2014-12-24 18:06 SXX Status new => assigned
2014-12-24 22:35 SXX Relationship added related to 0000558
2015-01-08 07:18 SXX Note Added: 0005366
2015-01-08 07:18 SXX Status assigned => resolved
2015-01-08 07:18 SXX Fixed in Version => 0.97b
2015-01-08 07:18 SXX Resolution open => fixed
2015-01-08 07:29 Warmonger Note Added: 0005367

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2020 MantisBT Team
Hosting provided by DigitalOcean